VirtualBox

Ticket #9267 (closed defect: fixed)

Opened 3 years ago

Last modified 6 months ago

Running WinSAT crashes DWM => Fixed in SVN

Reported by: Andre.Ziegler Owned by:
Priority: major Component: WDDM
Version: VirtualBox 4.1.0 Keywords:
Cc: Guest type: Windows
Host type: Windows

Description (last modified by misha) (diff)

Hi,

I installed VB4.1.0 on a Windows 7 x64 Sp1, installed a Windows 7 Embedded as Guest and Aero works. But if I leave the PC idle, Windows starts WinSAT to calculate the Experience Index. In this case the DWM.exe crashes:

ChildEBP RetAddr  
0340d6bc 77d46a04 ntdll!KiFastSystemCallRet
0340d6c0 760e6a36 ntdll!ZwWaitForMultipleObjects+0xc
0340d75c 764cbd1e KERNELBASE!WaitForMultipleObjectsEx+0x100
0340d7a4 764cbd8c kernel32!WaitForMultipleObjectsExImplementation+0xe0
0340d7c0 764e05ff kernel32!WaitForMultipleObjects+0x18
0340d82c 764e089a kernel32!WerpReportFaultInternal+0x186
0340d840 764e0848 kernel32!WerpReportFault+0x70
0340d850 764e07c3 kernel32!BasepReportFault+0x20
0340d8dc 77d77f1a kernel32!UnhandledExceptionFilter+0x1af
0340d8e4 77d1e304 ntdll!__RtlUserThreadStart+0x62
0340d8f8 77d1e18c ntdll!_EH4_CallFilterFunc+0x12
0340d920 77d471b9 ntdll!_except_handler4+0x8e
0340d944 77d4718b ntdll!ExecuteHandler2+0x26
0340d968 77d1f96f ntdll!ExecuteHandler+0x24
0340d9f4 77d47017 ntdll!RtlDispatchException+0x127
0340d9f4 0061118c ntdll!KiUserExceptionDispatcher+0xf
WARNING: Stack unwind information not available. Following frames may be wrong.
0340dd1c 00612a05 VBoxOGLcrutil+0x1118c
0340dd6c 00612ccb VBoxOGLcrutil+0x12a05
0340dd94 006066c1 VBoxOGLcrutil+0x12ccb
0340ddb8 01e33bda VBoxOGLcrutil+0x66c1
0340dddc 01e3d1c4 VBoxOGLpackspu+0x3bda
0340ddf4 0226da36 VBoxOGLpackspu+0xd1c4
0340de04 0226df67 wined3dwddm+0x6da36
0340de1c 0226e503 wined3dwddm+0x6df67
0340de2c 02236d93 wined3dwddm+0x6e503
0340e21c 02237416 wined3dwddm+0x36d93
0340e22c 0227088e wined3dwddm+0x37416
0340e24c 01371c14 wined3dwddm+0x7088e
0340e264 01371cc2 VBoxD3D9wddm+0x1c14
0340e270 10006af7 VBoxD3D9wddm+0x1cc2
0340eecc 6d62dcce VBoxDispD3D+0x6af7
0340f114 6d630547 D3D10Level9!UMAdapter::CreateUnderlyingAdapter+0x169
0340f29c 6d63066e D3D10Level9!UMAdapter::Open+0xfc
0340f2b4 71c30ba9 D3D10Level9!OpenAdapter10_2+0x2e
0340f530 71c2d0cd dxgi!CUMDAdapter::CUMDAdapter+0x8a7
0340f56c 71c2f2f5 dxgi!CDXGIBaseAdapter::GetUMDAdapter+0x60
0340f65c 703d8027 dxgi!DXGID3D10CreateDevice+0x278
0340f688 70415f34 d3d10_1core!D3D10CoreCreateDevice1+0x53
0340f6bc 6d62c1a3 d3d10_1!D3D10CompleteDeviceCreationForExternalImplementation+0x57
0340f720 704162c3 D3D10Level9!D3D10CreateDeviceExternalImplementation+0x234
0340f988 70416665 d3d10_1!D3D10CreateDeviceAndSwapChain1+0x125
0340f9b4 7048a489 d3d10_1!D3D10CreateDevice1+0x23
0340fa00 7048a373 dwmcore!CD3DDeviceTable::CreateD3DDevice+0x9c
0340fa24 70486209 dwmcore!CD3DDeviceTable::CreateAdapterDevicePair+0x1e
0340fb80 70483c8c dwmcore!CD3DDeviceTable::GetDeviceCapsForAdapter+0x68
0340fbfc 704828e2 dwmcore!CDisplay::ReadGraphicsAccelerationCaps+0x51
0340fc14 70482820 dwmcore!CDisplaySet::ReadGraphicsAccelerationCaps+0x35
0340fc2c 704826c8 dwmcore!CDisplaySet::Init+0xd9
0340fc48 70482504 dwmcore!CDisplayManager::CreateNewDisplaySet+0x93
0340fc98 70486ebf dwmcore!CDisplayManager::DeriveCurrentDisplaySet+0x80
0340fcbc 70442a45 dwmcore!CDisplayManager::GetCurrentDisplaySet+0x3d
0340fcdc 70442923 dwmcore!CDisplayManager::UpdateDisplayState+0x24
0340fd0c 704428be dwmcore!CComposition::ProcessComposition+0x39
0340fd28 70486e16 dwmcore!CComposition::Compose+0x4c
0340fd48 704877a5 dwmcore!CPartitionThread::RenderPartition+0x1e
0340fd6c 70487086 dwmcore!CPartitionThread::Run+0xb4
0340fd84 764ced6c dwmcore!CPartitionThread::ThreadMain+0x1e
0340fd90 77d637f5 kernel32!BaseThreadInitThunk+0xe
0340fdd0 77d637c8 ntdll!__RtlUserThreadStart+0x70
0340fde8 00000000 ntdll!_RtlUserThreadStart+0x1b

Attachments

VirtualBox41_DWM_crash.7z Download (111.3 KB) - added by Andre.Ziegler 3 years ago.
Crash dump of DWM
VBox.log Download (114.8 KB) - added by Andre.Ziegler 3 years ago.
VirtualBox_WinSAT_crash.7z Download (233.8 KB) - added by Andre.Ziegler 3 years ago.
VBox_4.1.2 r73507_UAC_black.log Download (118.9 KB) - added by Andre.Ziegler 3 years ago.
VirtualBox_4.1.2_Graphic_corruption_inside_VM.jpg Download (252.4 KB) - added by Andre.Ziegler 3 years ago.
HostImage1.png Download (134.6 KB) - added by poulbak 3 years ago.
Frozen host screen with bleeding guest
Freds Windows 7 Computer-2011-08-26-06-43-00.log Download (55.9 KB) - added by FredH 3 years ago.
VBox.log for Fred Houweling's Virtual Box install.
DSC00032.JPG Download (343.0 KB) - added by Andre.Ziegler 3 years ago.
WinSAT_4.1.9-76144.log Download (15.6 KB) - added by Andre.Ziegler 2 years ago.
Minidump.7z Download (43.4 KB) - added by Andre.Ziegler 2 years ago.
Winsat_crash_Win8_8250.7z Download (21.5 KB) - added by Andre.Ziegler 2 years ago.
Logs.7z Download (24.0 KB) - added by Andre.Ziegler 2 years ago.
Win8_Build8250_WinSAT_crash.7z Download (198.1 KB) - added by Andre.Ziegler 2 years ago.
Win8_Build8250_WinSAT_crash.2.7z Download (198.1 KB) - added by Andre.Ziegler 2 years ago.

Change History

Changed 3 years ago by Andre.Ziegler

Crash dump of DWM

comment:1 follow-up: ↓ 2 Changed 3 years ago by Andre.Ziegler

have you looked at the dump?

comment:2 in reply to: ↑ 1 Changed 3 years ago by misha

Replying to Andre.Ziegler:

have you looked at the dump?

Sorry for delay, we are investigating the problem currently.

comment:3 Changed 3 years ago by misha

We've fixed the issue. Here is the test build that contains the fix, please give it a try:  http://www.virtualbox.org/download/testcase/VirtualBox-2011-08-04-18-16-04-win-rel-4.1.1-r73333-MultiArch.exe note that you need to update guest additions to make the fix work. Let me know if you need a build for some other non-windows host platform.

comment:4 Changed 3 years ago by Andre.Ziegler

ok, can I install this addition over the official Release 4.1?

Changed 3 years ago by Andre.Ziegler

comment:5 Changed 3 years ago by Andre.Ziegler

ok, I installed the new version and ran the VM again and installed the new guest additions.

I ran the WinSAT task from the task scheduler MMC snapin.

After a while the Windows Error Reporting service pops up and showed that WinSAT.exe crashed. When I click close, the VM hangs and exactly at the time when the VM hangs, the virtualbox.exe in my Windows 7 host consumed 50% CPU usage and I can only force the VM to shutdown becasue the VM is complete frozen.

I attached my Vbox.log. But I can't attach (Trac error) the WinSAT crash dump and the dump I created with ProcEx of the virtualbox.exe which hogs my CPU in my host Windows 7.

Any idea?

comment:6 Changed 3 years ago by misha

Reproduced another crash with WinSAT, sorry I didn't encounter it before. Will fix and test more thoroughly, and provide you with a test build after that.

comment:7 Changed 3 years ago by Andre.Ziegler

Do you need my WinSAT dump?

Also should I create a new ticket for the VM hang and 50% CPU usage issue after WinSAT crashes? You can get a minidump and a xperf trace if needed, I can't see anything because I don't have the Debug files (PDBs).

comment:8 Changed 3 years ago by misha

Yes, the WinSAT dump would be very useful to ensure I see the same crash as you do.
I think the 50% CPU issue might related to winsat crash, so let's track it here for now. I'll try to reproduce it locally.

comment:9 Changed 3 years ago by Andre.Ziegler

Because I can't attach the larger 7z file, here is the link to my public dropbox:

 http://dl.dropbox.com/u/5749744/VirtualBox_WinSAT_crash.7z

it includes a picture with the 50% usage, a minidump of the virtualbox.exe of my host which consumes the 50% cpu usage, a xperf trace from the virtualbox.exe and the WinSAT crash dump generated by the Windows Error Reporting service from the VM.

I hope this helps.

comment:10 Changed 3 years ago by misha

Hmm, the WinSAT.exe.3924.dmp dump file seems corrupt :( , I'm unable to open it with WinDbg here.

comment:11 Changed 3 years ago by misha

FYI: in case you're unable to attach a big file here, feel free to mail at me at mikhail dot sennikovsky at oracle dot com and I will post an ftp link where you can upload the file if it is more convenient for you.

comment:12 Changed 3 years ago by Andre.Ziegler

it seems that the VM hang corrupted the dump :(

This time I go a smaller dump (which I can open), before the VM freezed again.

I also added the output of winsat formal (Which shows a lot of warnings) which I redirected into a text file.

Changed 3 years ago by Andre.Ziegler

comment:13 follow-up: ↓ 14 Changed 3 years ago by Andre.Ziegler

the 50% CPU issue also happens at normal shutdown and the VM doesn't respond. Have you looked at the xperf trace and the minidump or should I create a new ticket?

comment:14 in reply to: ↑ 13 Changed 3 years ago by misha

Replying to Andre.Ziegler:

the 50% CPU issue also happens at normal shutdown and the VM doesn't respond. Have you looked at the xperf trace and the minidump or should I create a new ticket?

I'll try to reproduce it locally, and will look into the xperf trace you provided. No need for the new ticket so far.

comment:15 Changed 3 years ago by Andre.Ziegler

ok, 1 note:

I have a quad core AMD CPU and assigned 2 Cores to the VM, so the 50% are caused by the 2 assigned CPUs.

comment:16 Changed 3 years ago by Andre.Ziegler

the 50% CPU usage on reboot is also 3D related. If i turn off the Aero Glass I can reboot the VM without any issues.

I hope this helps you.

comment:17 Changed 3 years ago by Andre.Ziegler

Hi misha,

any news about it? Was the xperf trace helpful?

comment:18 Changed 3 years ago by misha

Yes, here is a new test build that should hopefully solve your problem:  http://www.virtualbox.org/download/testcase/VirtualBox-2011-08-11-23-12-35-win-rel-4.1.1-r73468-MultiArch.exe let me know how it works for you.

comment:19 follow-up: ↓ 22 Changed 3 years ago by Andre.Ziegler

the exe is always corrupted. I tried to download it with Firefox 5, Freedownloadmanger and Chrome. The file is only 41.3 MB :'(

comment:20 Changed 3 years ago by misha

oh, sorry let me try it one more time

comment:21 Changed 3 years ago by Andre.Ziegler

ok, this time the download works, I need to reboot and next I test the Aero.

comment:22 in reply to: ↑ 19 Changed 3 years ago by misha

Replying to Andre.Ziegler:

the exe is always corrupted. I tried to download it with Firefox 5, Freedownloadmanger and Chrome. The file is only 41.3 MB :'(

Re-uploaded the file, please retry downloading again now: just checked, and it works alright here.

comment:23 follow-up: ↓ 24 Changed 3 years ago by misha

Note that you need to update guest additions from this package.

comment:24 in reply to: ↑ 23 ; follow-up: ↓ 26 Changed 3 years ago by Andre.Ziegler

Replying to misha:

Note that you need to update guest additions from this package.

Yes, I know this. I installed this build over the older 4.1.1 which caused the "can't access kernel driver issue". I repaired the newer version and now it works.

I updated the Guest Additions and I can run WinSAT without getting a crash and rebooting the VM with Aero Glass enabled works, too.

But I can see that Winsat still shows a lot of warnings:

Wird ausgefhrt: WinSAT Direct3D-Bewertung '-aname DWM -time 10 -fbc 10 -disp off -normalw 12 -width 1280 -height 1024 -winwidth C(1144) -winheight C(915) -rendertotex 6 -rtdelta 3 -nolock' Grafikleistung des Desktops wird bewertet

err:[0xd38]:d3d:D:\tinderbox\add\src\VBox\Additions\WINNT\Graphics\Wine\wined3d\context.c 1392: Can't find a suitable iPixelFormat err:[0xdb0]:d3d:D:\tinderbox\add\src\VBox\Additions\WINNT\Graphics\Wine\wined3d\context.c 1392: Can't find a suitable iPixelFormat err:[0xdb0]:d3d:D:\tinderbox\add\src\VBox\Additions\WINNT\Graphics\Wine\wined3d\context.c 1392: Can't find a suitable iPixelFormat err:[0xdb0]:d3d:D:\tinderbox\add\src\VBox\Additions\WINNT\Graphics\Wine\wined3d\state.c 58: Undefined state.

And I can see that VirtualBox uses the IGP instead of my PCIe card (Radeon HD 5770). Can I control which card is used by VB? Because with the IGP, the speed is slower.

00:00:00.942 VBoxSharedClipboard mode: Bidirectional 00:00:01.229 OpenGL Info: Render SPU: GL_VENDOR: ATI Technologies Inc. 00:00:01.229 OpenGL Info: Render SPU: GL_RENDERER: ATI Radeon HD 4250 00:00:01.229 OpenGL Info: Render SPU: GL_VERSION: 3.3.10907 Compatibility Profile Context

Afair I had the IGP disabled last time. I try to disable the IGP and only use the PCIe card and test it again.

comment:25 Changed 3 years ago by misha

VBox is using the Graphics card used by your host, the "ATI Radeon HD 4250" actually comes from the glGetString(GL_RENDERER) query on your host.

comment:26 in reply to: ↑ 24 Changed 3 years ago by misha

Replying to Andre.Ziegler:

err:[0xd38]:d3d:D:\tinderbox\add\src\VBox\Additions\WINNT\Graphics\Wine\wined3d\context.c 1392: Can't find a suitable iPixelFormat err:[0xdb0]:d3d:D:\tinderbox\add\src\VBox\Additions\WINNT\Graphics\Wine\wined3d\context.c 1392: Can't find a suitable iPixelFormat err:[0xdb0]:d3d:D:\tinderbox\add\src\VBox\Additions\WINNT\Graphics\Wine\wined3d\context.c 1392: Can't find a suitable iPixelFormat err:[0xdb0]:d3d:D:\tinderbox\add\src\VBox\Additions\WINNT\Graphics\Wine\wined3d\state.c 58: Undefined state.

Those warnings are normal, we should and will disable them in the driver, thanks for noting.

comment:27 Changed 3 years ago by misha

Anything left for this ticket? Does the guest shutdown work ok now for you as well?

comment:28 Changed 3 years ago by Andre.Ziegler

yes, the VM shuts down fine. WinSAT also works fine for the HD 5770.

If you disable all the warnings from the driver I have no issues left. So you can close this ticket.

thanks for the fixed version.

Have a nice weekend misha.

best regards André

comment:29 Changed 3 years ago by misha

  • Summary changed from Running WinSAT crashes DWM to Running WinSAT crashes DWM => Fixed in SVN

Disabled those warnings. Thanks a lot for your help in finding the bugs & testing! I'll mark this bug as Fixed in SVN

comment:30 Changed 3 years ago by poulbak

I can confirm that the bug has been fixed when RUNNING IN A WINDOW.

When running FULLSCREEN Winsat still crashes. So the bug has not been fixed, only reduced!

comment:31 Changed 3 years ago by Andre.Ziegler

for me it doesn't crash in Fullscreen. Which host GPU do you use?

comment:32 Changed 3 years ago by frank

The fix is contained in VBox 4.1.2. But I will keep this ticket open due to the fullscreen report.

comment:33 Changed 3 years ago by poulbak

Ok, haven't tried 4.1.2, only 4.1.1 from link above.

My GPU is 'ATI Mobility Radion HD 4650'.

Switching to fullscreen causes bad behaviour for me, not just Winsat. Really wish, you have access to my GPU type (if that's the problem).

comment:34 Changed 3 years ago by misha

In case 4.1.2 does not solve your problem, please create a dump for your crash. You can do it the following way:

  1. You need to install Debugging Tools for Windows available at  http://www.microsoft.com/whdc/devtools/debugging/default.mspx
  2. Install the latest VBox 4.1.2 available at  http://www.virtualbox.org/wiki/Downloads and update guest additions to 4.1.2
  3. Start winsat
  4. Open elevated console window (Start->All Programs->Accessories->righ click "Command line" and select "Run As Administrator").
  5. In the console window cd to Debugging tools installation dir and run the following command from there:

adplus.exe -crash -pn WinSAT.exe -o c:\dumps -MiniOnSecond -NoDumpOnFirst If run successfully, this should print a destination directory inside the c:\dumps, where logs/dumps for winsat process will be placed.
Note: You could specify/use any directory instead of "c:\dumps" in the command above as well.

  1. Once winsat crashes please zip/rar the contents of logs/dumps directory specified in step 5 and post me the archive at mikhail dot sennikovsky at oracle dot com for investigation.

comment:35 Changed 3 years ago by misha

copy-paste is evil :) please see the corrected instructions in my previous comment

comment:36 follow-up: ↓ 37 Changed 3 years ago by Andre.Ziegler

@ misha

starting with Vista Sp1 you can use the Windows Error Reporting service to generate dumps:

 http://cid-128fc518635be2dc.office.live.com/self.aspx/.Public/MS%20Foren/Registry/LocalDumps.reg

this reg file forces Windows to generate Fulldumps of all crashing apps and the dumps are stored into C:\localdumps. Changing the value DumpType to 1 generates Minidumps.

But I have 1 issue left which doesn't fit to this issue. The UAC prompt causes the display to be come black when using the VM in fullscreen. But based on the comments in the Beta forum, this happens since the first 4.1 Beta.

comment:37 in reply to: ↑ 36 Changed 3 years ago by misha

Replying to Andre.Ziegler:

@ misha

starting with Vista Sp1 you can use the Windows Error Reporting service to generate dumps:

 http://cid-128fc518635be2dc.office.live.com/self.aspx/.Public/MS%20Foren/Registry/LocalDumps.reg

this reg file forces Windows to generate Fulldumps of all crashing apps and the dumps are stored into C:\localdumps. Changing the value DumpType to 1 generates Minidumps.

Thanks a lot for the info!
poulbak: so you even do NOT need to install debugging tool for windows, just apply the .reg file as Andre.Ziegler suggests and the crash dump files will be placed in C:\localdumps dir.

But I have 1 issue left which doesn't fit to this issue. The UAC prompt causes the display to be come black when using the VM in fullscreen. But based on the comments in the Beta forum, this happens since the first 4.1 Beta.

Yes, I'm aware of this issue, however none of us here can reproduce it :( We will look into this issue once again. Meanwhile could you attach here a log file for a VM that exposed this issue?

Changed 3 years ago by Andre.Ziegler

comment:38 Changed 3 years ago by Andre.Ziegler

ok, I added the log. The black screen only occurs in full screen, not if I run the VM in a normal Window.

comment:39 Changed 3 years ago by poulbak

Good news and bad news. Installed 4.1.2 with 3D

My first attempt to run Winsat failed, no crash (so no crash dump), just a no good error message, not even anything in Windows eventlog.

Second attempt: I managed to make an index, no errors at all, BOTH in a window and in fullscreen!

Now the bad news: The actual index for 3D is 2.4 !!! It's 6.7 on the host !!! That's very poor performance in my view and can easily explain all the flicker I experience. But that is probably another bug report.

To Andre.Ziegler: That's exactly, what I see, too, and what I wrote about in beta forum. Also, the VBox menu disappears in fullscreen and WMP doesn't show videos, same reason, I guess.

Don't know, but this seems to be an ATI only problem. May be you could get hold of an ATI card?

comment:40 Changed 3 years ago by poulbak

Another observation: I ran dxdiag successfully (with old 3D, it failed). I noticed, it said: 'Acceleration of AGP structure: Not present' On the host, it says: Activated. Don't know, can that explain the bad performance?

comment:41 Changed 3 years ago by misha

Ok, I'll try to get on this fullscreen issue. As for the 'Acceleration of AGP structure: Not present', this is right that it should not be present in guest.

comment:42 follow-up: ↓ 43 Changed 3 years ago by Andre.Ziegler

@misha

which graphic cards do you use? We both have ATI/AMD cards. And yes, the score is also low for me. VMWare Player has 6.0 has graphic score.

comment:43 in reply to: ↑ 42 Changed 3 years ago by misha

Replying to Andre.Ziegler: You're right I mostly used NVIDIA cards for testing recently, going to try it on ATI.

comment:44 Changed 3 years ago by Andre.Ziegler

ok. Hopefully you can can reproduce and fix it.

comment:45 Changed 3 years ago by poulbak

I too am glad, you get your hands on an ATI card, it's hard to describe with words, what we see. At least it seems, we have got rid of the crashes, so now crash dumps and logs don't do much good, you have to see it yourself.

comment:46 follow-up: ↓ 47 Changed 3 years ago by leonid

Andre.Ziegler could you disable 2d acceleration and check if that fixes issue with black screen in fullscreen mode after uac prompt?

comment:47 in reply to: ↑ 46 ; follow-up: ↓ 49 Changed 3 years ago by Andre.Ziegler

Replying to leonid:

Andre.Ziegler could you disable 2d acceleration and check if that fixes issue with black screen in fullscreen mode after uac prompt?

I updated the ATI driver to 10.8 and now, the UAC prompt is not shown, but I can see the Desktop. The blackscreen is gone. To continue, I have to press CTRL+Alt+Del to get the taskmgr on my host running. Now in windowed mode I can see the UAC prompt which I can accept.

I tested it without 2D and it makes no difference.

comment:48 Changed 3 years ago by Andre.Ziegler

If I move a Windows inside the VM, the screen gets corrupted. I attach a picture.

Changed 3 years ago by Andre.Ziegler

comment:49 in reply to: ↑ 47 Changed 3 years ago by poulbak

Replying to Andre.Ziegler:

I updated the ATI driver to 10.8 and now, the UAC prompt is not shown, but I can see the Desktop. The blackscreen is gone. To continue, I have to press CTRL+Alt+Del to get the taskmgr on my host running. Now in windowed mode I can see the UAC prompt which I can accept.

I tested it without 2D and it makes no difference.

I can confirm this behaviour, with or without 2d enabled !

comment:50 Changed 3 years ago by leonid

comment:51 Changed 3 years ago by poulbak

Uninstalled VBox, installed 4.1.3, updated guest additions with 3D

Sorry, but I see absolutely no difference (and Windows Experience Index agrees with me)

I have set the UAC to not show the secure desktop. When I tried to set it back to default and launched an application as admin, not only the guest, but also the host froze. Ctrl-Alt-Del and Cancel did not work. Ctrl-Alt-Del and show taskmanager: The screen (ON HOST) was black, but now I could see the VBox menu (FROM GUEST). Had to kill the guest process from task manager.

I have attached a screenshot of this

This is not a keeper!

Changed 3 years ago by poulbak

Frozen host screen with bleeding guest

comment:52 Changed 3 years ago by Andre.Ziegler

4.1.3 also doesn't fix it.

Also now WinSAT shows the videos. On my native Windows the videos are never shown.

After WinSAT finished I get the blackscreen again. I also have a large flickering with Aero Glass enabled.

In Windowed mode everything works.

And of course I mean Catalyst 11.8.

comment:53 follow-up: ↓ 54 Changed 3 years ago by FredH

I have guest stability issues too on a Fedora 15 host with a Win 7 guest all 64 bit versions. Very keen to get it all fixed and more stable. Please let me know if I can provide any information. VBox 4.1.2 r73507 Intel 960 3.2 GHz, 24 gig ram, raid 6. Thank you.

comment:54 in reply to: ↑ 53 Changed 3 years ago by poulbak

Replying to FredH: Do you also have an ATI card?

comment:55 Changed 3 years ago by FredH

No, it's a NVIDIA GEFORCE GTX 550 Ti 1GB I'll attache a dmesg output if you like.

Changed 3 years ago by FredH

VBox.log for Fred Houweling's Virtual Box install.

comment:56 Changed 3 years ago by Andre.Ziegler

Any news?

comment:57 Changed 3 years ago by frank

  • Description modified (diff)

comment:58 Changed 3 years ago by misha

Finally was able to get an ATI card that exposed similar issues when guest is in fullscreen. We will have a look into this issue in more detail soon.

comment:59 Changed 3 years ago by Andre.Ziegler

ok, hopefully you can find the cause :)

comment:60 Changed 3 years ago by Andre.Ziegler

4.1.4 still has the fullscreen issues.

Changed 3 years ago by Andre.Ziegler

comment:61 Changed 3 years ago by misha

That's true, unfortunately we had some more priority tasks to do for 4.1.4. I *hope* we will fix this in the nearest future.

comment:62 Changed 3 years ago by Andre.Ziegler

ok. The picture shows what I see in fullscreen. I must use my mobile phone to take the picture, because when I use the print key the picture was fine.

But i can see that the performance is better in 4.1.4. The WinSAT score is now 3.0

comment:63 Changed 3 years ago by Andre.Ziegler

any news about the fullscreen issues?

comment:64 Changed 2 years ago by Andre.Ziegler

With 4.1.6 WinSAT crashes again (no matter if I use fullscreen or not).

comment:65 Changed 2 years ago by misha

  • Component changed from 3D support to WDDM

comment:66 Changed 2 years ago by misha

Re WinSAT crashes: we've fixed some additional issues that caused WinSAT crashes here. Here is a test build of Guest Additions that contain fixes:  http://www.virtualbox.org/download/testcase/VBoxGuestAdditions-r74773.iso
In case WinSAT still crashes for you, please attach crash dump files again.

As for full-screen issue: it is at the head of my todo list. Unfortunately there are still some more priority things to be completed first. BTW there is a separate bug related to this problem #9775

comment:67 Changed 2 years ago by Andre.Ziegler

ok, the new guest additions work and WinSAT no longer crashes.

But 3 things:

  • I have screen flickering when running WinSAT in fullscreen
  • Screen corruption (DSC00032.JPG) still occurs in fullscreen
  • performance of 3D drops from 3.0 (4.1.4) to 2.4 (4.1.7).

comment:68 follow-up: ↓ 69 Changed 2 years ago by misha

Re fullscreen issue: the issue is caused by ATI drivers bug.
To make a proper work-around, I need to ensure your behavior is similar to what I'm seeing here:
Does the issue goes away when VM window becomes inactive? E.g. while having VM window active & displayed, press <ctrl>+<alt>+<del> (which should be propagated to host, and not propagated to guest), and select "Start Task Manager" in a host popup window.
This should start task manager, make its window active, and VM window inactive.
Is it correct that the issue goes away until VM window becomes active again?

comment:69 in reply to: ↑ 68 Changed 2 years ago by Andre.Ziegler

Replying to misha:

Does the issue goes away when VM window becomes inactive? E.g. while having VM window active & displayed, press <ctrl>+<alt>+<del> (which should be propagated to host, and not propagated to guest), and select "Start Task Manager" in a host popup window.
This should start task manager, make its window active, and VM window inactive.
Is it correct that the issue goes away until VM window becomes active again?

yes, that's what I see.

comment:70 Changed 2 years ago by misha

Re fullscreen issue: the following test build should solve the problem:
 http://www.virtualbox.org/download/testcase/VirtualBox-2011-11-25-09-48-55-win-4.1-rel-4.1.7-r75040-MultiArch.exe
There is no need to update guest additions, i.e. only host VBox installations needs to be updated.
Please give it a try and let me know how it goes.

comment:71 Changed 2 years ago by Andre.Ziegler

Good news, the new test build fixes the issues for me. The screen corruption is gone, WinSAT doesn't crash and I only got 1 small flickering during Media decoding measuring.

:)

comment:72 Changed 2 years ago by misha

Great to know, thanks a lot for your cooperation in fixing all these issues!

comment:73 follow-up: ↓ 74 Changed 2 years ago by Andre.Ziegler

You're welcome. Should I create a new ticket (enhancement) for the dropped 3D performance?

comment:74 in reply to: ↑ 73 ; follow-up: ↓ 75 Changed 2 years ago by misha

Replying to Andre.Ziegler:

Should I create a new ticket (enhancement) for the dropped 3D performance?

No need for the new ticket so far. Do you see the performance drop for the "everage" 3D apps (Aero, etc.), or it is only winsat calculated experience score being dropped?

comment:75 in reply to: ↑ 74 Changed 2 years ago by Andre.Ziegler

Replying to misha: Do you see the performance drop for the "everage" 3D apps (Aero, etc.), or it is only winsat calculated experience score being dropped?

The game score dropped from 3.0. The score for Aero is the same.

comment:76 Changed 2 years ago by Andre.Ziegler

I have a new WinSAT crash. This time I installed a 64Bit Windows 7 Sp1.

FAULTING_IP: 
wined3dwddm!WineDirect3DCreateClipper+16c4
00000000`02b6c6e4 8bb588580000    mov     esi,dword ptr [rbp+5888h]

EXCEPTION_RECORD:  ffffffffffffffff -- (.exr 0xffffffffffffffff)
ExceptionAddress: 0000000002b6c6e4 (wined3dwddm!WineDirect3DCreateClipper+0x00000000000016c4)
   ExceptionCode: c0000005 (Access violation)
  ExceptionFlags: 00000000
NumberParameters: 2
   Parameter[0]: 0000000000000000
   Parameter[1]: 0000000005610668
Attempt to read from address 0000000005610668

DEFAULT_BUCKET_ID:  INVALID_POINTER_READ

PROCESS_NAME:  WinSAT.exe

ERROR_CODE: (NTSTATUS) 0xc0000005 - Die Anweisung in 0x%08lx verweist auf Speicher 0x%08lx. Der Vorgang %s konnte nicht im Speicher durchgef hrt werden.

Call Site
ntdll!ZwWaitForMultipleObjects
KERNELBASE!WaitForMultipleObjectsEx
kernel32!WaitForMultipleObjectsExImplementation
kernel32!WerpReportFaultInternal
kernel32!WerpReportFault
kernel32!BasepReportFault
kernel32!UnhandledExceptionFilter
ntdll! ?? ::FNODOBFM::`string'
ntdll!_C_specific_handler
ntdll!RtlpExecuteHandlerForException
ntdll!RtlDispatchException
ntdll!KiUserExceptionDispatcher
wined3dwddm!WineDirect3DCreateClipper
wined3dwddm!WineDirect3DCreateClipper
wined3dwddm!WineDirect3DCreateClipper
wined3dwddm!WineDirect3DCreateClipper
wined3dwddm!WineDirect3DCreateClipper
wined3dwddm!WineDirect3DCreateClipper
wined3dwddm!WineDirect3DCreateClipper
wined3dwddm!WineDirect3DCreate
VBoxD3D9wddm!Direct3DCreate9Ex
VBoxDispD3D!OpenAdapter
d3d9!CreateDeviceLHDDI
d3d9!D3D9CreateDirectDrawObject
d3d9!FetchDirectDrawData
d3d9!InternalDirectDrawCreate
d3d9!CEnum::ValidateCreateDevice
d3d9!CEnum::CreateDeviceImpl
d3d9!CEnum::CreateDeviceEx
WinSAT!D3DCommon::DX9CreateDevice
WinSAT!SimpleDWM::StartSimpleDWM
WinSAT!WinSAT::GraphicsOp::AssessmentThread
msvcrt!endthreadex
msvcrt!endthreadex
kernel32!BaseThreadInitThunk
ntdll!RtlUserThreadStart

comment:77 Changed 2 years ago by misha

  • Description modified (diff)

We've fixed several crashes recently, so your crash should be hopefully fixed as well. I will post here a link to the test build with a fix soon.

comment:78 Changed 2 years ago by Andre.Ziegler

I tested VirtualBox-2012-01-10-15-09-10-win-4.1-rel-4.1.9-r75618-MultiArch.exe and it also causes WinSAT crash, but only if I click on the button or let Windows idle.

If I run winsat formal I have no issues and WinSAT works fine.

comment:79 Changed 2 years ago by misha

The fixes I mentioned are not included in that build.

comment:80 Changed 2 years ago by Andre.Ziegler

ok. I'll test the new version when you post this version here.

comment:81 Changed 2 years ago by misha

Here is a link to the test build:

 http://www.virtualbox.org/download/testcase/VirtualBox-4.1.9-76144-Win.exe

Note that you'd need to update guest additions also.
Let me know whether it solves the crash for you.

comment:82 follow-up: ↓ 84 Changed 2 years ago by Andre.Ziegler

thanks for the new build. Now WinSAT no longer crashes but fails to complete the calculation. I dumped the output into a textfile and saw this:

err:[0xb9c]:d3d:D:\tinderbox\add-4.1\src\VBox\Additions\WINNT\Graphics\Wine\wined3d\context.c 746: NULL hDCerr:[0xb9c]:d3d:D:\tinderbox\add-4.1\src\VBox\Additions\WINNT\Graphics\Wine\wined3d\context.c 791: invalid swapchain 0000000004DDF980
err:[0xb9c]:d3d:D:\tinderbox\add-4.1\src\VBox\Additions\WINNT\Graphics\Wine\wined3d\context.c 2843: context_acquire failed to get a valid context!

Changed 2 years ago by Andre.Ziegler

comment:83 Changed 2 years ago by Andre.Ziegler

btw, the testbuild (VirtualBox.exe) crashes when I shutdown the VM:

ole32!CStdMarshal::ReleaseAllIPIDEntries
ole32!CStdMarshal::~CStdMarshal
ole32!CStdIdentity::`scalar deleting destructor'
ole32!CStdIdentity::CInternalUnk::Release
VirtualBox!TrustedMain
msvcr80!get_pgmptr
VirtualBox!TrustedMain
kernel32!BaseThreadInitThunk
ntdll!RtlUserThreadStart

comment:84 in reply to: ↑ 82 Changed 2 years ago by misha

Replying to Andre.Ziegler:

thanks for the new build. Now WinSAT no longer crashes but fails to complete the calculation. I dumped the output into a textfile and saw this:

Could you elaborate how winsat fails to complete the assessment?
Does it quit w/o printing the assessment results, or does it print some err messages, etc..
The message you dumped here is printed by VBox D3D stuff, not WinSAT, and the err mentioned there most likely happened on d3d uninit on winsat shutdown and most likely should not affect WinSAT at all.
Perhaps you could attach a complete WinSAT log here?

comment:85 Changed 2 years ago by Andre.Ziegler

it simply closes after a while. That's why I run it from the cmd and dumped the output into a log file (winsat format > logfile).

Which log do you want? is the attached log not enough?

comment:86 Changed 2 years ago by misha

Sorry, the log you attached should be enough. I'll have a look into it and will get back to you.

Last edited 2 years ago by misha (previous) (diff)

comment:87 Changed 2 years ago by Andre.Ziegler

In Windows 8 CP, the WinSAT tools also crashes:

Security check failure or stack buffer overrun - code c0000409

eax=05cd3c08 ebx=05cd4058 ecx=00000003 edx=034066f8 esi=05cd4098 edi=0000000e
eip=77707319 esp=071ff6b8 ebp=071ff6d4 iopl=0         nv up ei ng nz na po cy
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00200283
ntdll!RtlProcessFlsData+0x142:
77707319 cd29            int     29h
.  6  Id: b70.3f8 Suspend: 0 Teb: 7f876000 Unfrozen
      Start: ntdll!TppWorkerThread (777078d3)
      Priority: 0  Priority class: 128  Affinity: 3
00 071ff6d4 777330c0 ntdll!RtlProcessFlsData+0x142
eax=05cd3c08 ebx=05cd4058 ecx=00000003 edx=034066f8 esi=05cd4098 edi=0000000e
eip=77707319 esp=071ff6b8 ebp=071ff6d4 iopl=0         nv up ei ng nz na po cy
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00200283
ntdll!RtlProcessFlsData+0x142:
77707319 cd29            int     29h
ChildEBP RetAddr  Args to Child              
071ff6d4 777330c0 05cd4058 83e9fa3c 00000000 ntdll!RtlProcessFlsData+0x142
071ff7c0 77732ff4 00000000 00000001 00000001 ntdll!LdrShutdownProcess+0xb8
071ff7d4 775b422e 00000003 77e8f3b0 ffffffff ntdll!RtlExitUserProcess+0xd5
071ff7e8 02314320 00000003 0231447d 00000003 kernel32!ExitProcessImplementation+0x12
WARNING: Stack unwind information not available. Following frames may be wrong.
071ff820 023144b4 00000003 00000001 00000000 VBoxOGLcrutil!crWarpPoint+0x3b10
071ff878 023026b7 0000000f 00000002 00000000 VBoxOGLcrutil!crWarpPoint+0x3ca4
071ff88c 0286234e 0297e294 0297e5cc 0297e5f8 VBoxOGLcrutil!crError+0x237
071ff8ac 02b3131b 00000bba 00000226 071ff8dc VBoxOGLpackspu+0x234e
071ff8bc 025b3b2f 00000bba 00000000 025b3b93 VBoxOGLfeedbackspu!SPULoad+0x1eb
071ff8dc 025b23ed 03484790 00000003 00000000 VBoxOGL!crSwapBuffers+0x157f
071ff8fc 025c07b4 025b0000 03484b8c 00000000 VBoxOGL+0x23ed
071ff938 776f11cc 025b0000 00000003 00000000 VBoxOGL!cr_glSeparableFilter2D+0xa60
071ff958 776f1244 025c0743 025b0000 00000003 ntdll!LdrxCallInitRoutine+0x14
071ff9a0 777067ca 025c0743 025b0000 00000003 ntdll!LdrpCallInitRoutine+0x63
071ffa98 77706673 00000000 00000000 071ffc50 ntdll!LdrShutdownThread+0x1bf
071ffaa8 77706e8f 00000000 83e9f1ac 00000000 ntdll!RtlExitUserThread+0x34
071ffc50 775b2b9d 0aa11158 071ffc9c 77707221 ntdll!TppWorkerThread+0x633
071ffc5c 77707221 0aa11158 83e9f160 00000000 kernel32!BaseThreadInitThunk+0xe
071ffc9c 777071cd ffffffff 7779928a 00000000 ntdll!__RtlUserThreadStart+0x4a
071ffcac 00000000 777078d3 0aa11158 00000000 ntdll!_RtlUserThreadStart+0x1c

FOLLOWUP_IP: 
VBoxOGLcrutil!crWarpPoint+3b10
02314320 cc              int     3

SYMBOL_STACK_INDEX:  4

SYMBOL_NAME:  vboxoglcrutil!crWarpPoint+3b10

comment:88 follow-up: ↓ 89 Changed 2 years ago by Andre.Ziegler

after updating to Guest addons 4.1.9-76652 I get this error:

ntdll!KiFastSystemCallRet
ntdll!NtWaitForSingleObject
ntdll!RtlReportExceptionEx
ntdll!RtlReportException
ntdll!RtlpTerminateFailureFilter
ntdll!RtlReportCriticalFailure
ntdll!RtlpReportHeapFailure
ntdll!RtlpLogHeapFailure
ntdll!RtlFreeHeap
KERNELBASE!LocalFree
d3d9!CEnum::Release
WinSAT!D3DCommon::DX9Shutdown
WinSAT!WinSATCriticalHardwareInfo::PopulateVideoCard
WinSAT!WinSATCriticalHardwareInfo::PopulateFromCurrentHardware
WinSAT!DataStore::GetMostRecentPartialAssessments
WinSAT!AllWinSATCommandLinesToRun::AddFormalCommand
WinSAT!AllWinSATCommandLinesToRun::AddSynonymsForCommandLine
WinSAT!AllWinSATCommandLinesToRun::PrepareCommandLinesToRun
WinSAT!wmain
WinSAT!_initterm_e
kernel32!BaseThreadInitThunk
ntdll!__RtlUserThreadStart
ntdll!_RtlUserThreadStart

WinSAT crashes right at start.

comment:89 in reply to: ↑ 88 Changed 2 years ago by misha

Replying to Andre.Ziegler:

after updating to Guest addons 4.1.9-76652 I get this error:

Please attach a VM log and a minidump here.

Changed 2 years ago by Andre.Ziegler

comment:90 Changed 2 years ago by Andre.Ziegler

wrong files *d'oh*

Here are the correct ones.

Changed 2 years ago by Andre.Ziegler

Changed 2 years ago by Andre.Ziegler

comment:91 Changed 2 years ago by misha

We've fixed some issues that might cause this winsat behavior. Here is a test build ov VBox Guest Additions with the fix:  http://www.virtualbox.org/download/testcase/VBoxGuestAdditions_4.1.9-76698.iso

Please give it a try and let me know how it goes.

comment:92 Changed 2 years ago by Andre.Ziegler

no, still crashes:

PROCESS_NAME:  WinSAT.exe

ERROR_CODE: (NTSTATUS) 0xc0000409 - Das System hat in dieser Anwendung den  berlauf eines stapelbasierten Puffers ermittelt. Dieser  berlauf k nnte einem b sartigen Benutzer erm glichen, die Steuerung der Anwendung zu  bernehmen.

EXCEPTION_CODE: (NTSTATUS) 0xc0000409 - Das System hat in dieser Anwendung den  berlauf eines stapelbasierten Puffers ermittelt. Dieser  berlauf k nnte einem b sartigen Benutzer erm glichen, die Steuerung der Anwendung zu  bernehmen.

EXCEPTION_PARAMETER1:  00000003

APPLICATION_VERIFIER_FLAGS:  48004

APP:  winsat.exe

ADDITIONAL_DEBUG_TEXT:  Followup set based on attribute [FLS_Callback] from Frame:[0] on thread:[f50]

BUGCHECK_STR:  APPLICATION_FAULT_STACK_BUFFER_OVERRUN_MISSING_GSFRAME_FLS_SHUTDOWN

DEFAULT_BUCKET_ID:  STACK_BUFFER_OVERRUN_FLS_SHUTDOWN

STACK_TEXT:  
ntdll!RtlProcessFlsData
ntdll!LdrShutdownProcess
ntdll!RtlExitUserProcess
kernel32!ExitProcessImplementation
WARNING: Stack unwind information not available. Following frames may be wrong.
VBoxOGLcrutil!crWarpPoint
VBoxOGLcrutil!crWarpPoint
VBoxOGLcrutil!crError
VBoxOGLpackspu
VBoxOGLfeedbackspu!SPULoad
VBoxOGL!crSwapBuffers
VBoxOGL
VBoxOGL!cr_glSeparableFilter2D
verifier!AVrfpStandardDllEntryPointRoutine
ntdll!LdrxCallInitRoutine
ntdll!LdrpCallInitRoutine
ntdll!LdrShutdownThread
ntdll!RtlExitUserThread
ntdll!TppWorkerThread
kernel32!BaseThreadInitThunk
ntdll!__RtlUserThreadStart
ntdll!_RtlUserThreadStart

0:006>  .ecxr ; ~~[f50] ; .frame 0 ; ~6s ; kb
eax=10d956c0 ebx=14f31cc0 ecx=00000003 edx=00000000 esi=14f31d00 edi=0000000e
eip=77587319 esp=0850f628 ebp=0850f640 iopl=0         nv up ei ng nz na po cy
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00000283
ntdll!RtlProcessFlsData+0x142:
77587319 cd29            int     29h
.  6  Id: cf0.f50 Suspend: 0 Teb: 7f535000 Unfrozen
      Start: ntdll!TppWorkerThread (775878d3)
      Priority: 0  Priority class: 128  Affinity: 3
00 0850f640 775b30c0 ntdll!RtlProcessFlsData+0x142
eax=10d956c0 ebx=14f31cc0 ecx=00000003 edx=00000000 esi=14f31d00 edi=0000000e
eip=77587319 esp=0850f628 ebp=0850f640 iopl=0         nv up ei ng nz na po cy
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00000283
ntdll!RtlProcessFlsData+0x142:
77587319 cd29            int     29h
ChildEBP RetAddr  Args to Child              
0850f640 775b30c0 14f31cc0 8e62b275 00000000 ntdll!RtlProcessFlsData+0x142
0850f72c 775b2ff4 00000000 00000001 69225600 ntdll!LdrShutdownProcess+0xb8
0850f740 7724422e 00000003 77e8f3b0 ffffffff ntdll!RtlExitUserProcess+0xd5
0850f754 038e4320 00000003 038e447d 00000003 kernel32!ExitProcessImplementation+0x12
WARNING: Stack unwind information not available. Following frames may be wrong.
0850f78c 038e44b4 00000003 00000001 00000000 VBoxOGLcrutil!crWarpPoint+0x3b10
0850f7e4 038d26b7 0000000f 00000002 00000000 VBoxOGLcrutil!crWarpPoint+0x3ca4
0850f7f8 04cb234e 04dce294 04dce5cc 04dce5f8 VBoxOGLcrutil!crError+0x237
0850f818 0472131b 00000bba 00000226 0850f848 VBoxOGLpackspu+0x234e
0850f828 04923b2f 00000bba 00000000 04923b93 VBoxOGLfeedbackspu!SPULoad+0x1eb
0850f848 049223ed 05da2c38 00000003 00000000 VBoxOGL!crSwapBuffers+0x157f
0850f868 049308d4 04920000 05da3034 00000000 VBoxOGL+0x23ed
0850f8a4 69205463 04920000 00000003 00000000 VBoxOGL!cr_glSeparableFilter2D+0xa60
0850f8f8 775711cc 04920000 00000003 00000000 verifier!AVrfpStandardDllEntryPointRoutine+0x9f
0850f918 77571244 692053c4 04920000 00000003 ntdll!LdrxCallInitRoutine+0x14
0850f960 775867ca 692053c4 04920000 00000003 ntdll!LdrpCallInitRoutine+0x63
0850fa58 77586673 00000000 00000000 01bf0000 ntdll!LdrShutdownThread+0x1bf
0850fa6c 77586e8f 00000000 8e62b94d 00000000 ntdll!RtlExitUserThread+0x34
0850fc14 77242b9d 14c28420 0850fc60 77587221 ntdll!TppWorkerThread+0x633
0850fc20 77587221 14c28420 8e62b939 00000000 kernel32!BaseThreadInitThunk+0xe
0850fc60 775871cd ffffffff 7761928a 00000000 ntdll!__RtlUserThreadStart+0x4a
0850fc70 00000000 775878d3 14c28420 00000000 ntdll!_RtlUserThreadStart+0x1c

comment:93 Changed 2 years ago by misha

Could you attach a minidump for the crash please?

Changed 2 years ago by Andre.Ziegler

comment:94 Changed 2 years ago by Andre.Ziegler

*done*

comment:95 Changed 2 years ago by misha

Thanks for the dump. Although we were unable to reproduce this issue with WinSAT, we were able to create a test app and reproduce this behavior. Will fix that soon.

comment:96 Changed 2 years ago by frank

Any change with VBox 4.1.10?

comment:97 Changed 2 years ago by Andre.Ziegler

it still crashes with APPLICATION_FAULT_STACK_BUFFER_OVERRUN_MISSING_GSFRAME_FLS_SHUTDOWN error:

ChildEBP RetAddr  
0847f338 779730c0 ntdll!RtlProcessFlsData+0x142
0847f424 77972ff4 ntdll!LdrShutdownProcess+0xb8
0847f438 76ee422e ntdll!RtlExitUserProcess+0xd5
0847f44c 04334320 kernel32!ExitProcessImplementation+0x12
WARNING: Stack unwind information not available. Following frames may be wrong.
0847f484 043344b4 VBoxOGLcrutil+0x14320
0847f4dc 043226b7 VBoxOGLcrutil+0x144b4
0847f4f0 04af234e VBoxOGLcrutil+0x26b7
0847f510 04ef131b VBoxOGLpackspu+0x234e
0847f520 04773b2f VBoxOGLfeedbackspu+0x131b
0847f540 047723ed VBoxOGL+0x3b2f
0847f560 047808d4 VBoxOGL+0x23ed
0847f59c 6b0c5463 VBoxOGL+0x108d4
0847f5f0 779311cc verifier!AVrfpStandardDllEntryPointRoutine+0x9f
0847f610 77931244 ntdll!LdrxCallInitRoutine+0x14
0847f658 779467ca ntdll!LdrpCallInitRoutine+0x63
0847f750 77946673 ntdll!LdrShutdownThread+0x1bf
0847f760 77946e8f ntdll!RtlExitUserThread+0x34
0847f908 76ee2b9d ntdll!TppWorkerThread+0x633
0847f914 77947221 kernel32!BaseThreadInitThunk+0xe
0847f954 779471cd ntdll!__RtlUserThreadStart+0x4a
0847f964 00000000 ntdll!_RtlUserThreadStart+0x1c
0:001> lmvm VBoxOGLcrutil
start    end        module name
04320000 04369000   VBoxOGLcrutil T (no symbols)           
    Loaded symbol image file: VBoxOGLcrutil.dll
    Image path: C:\Windows\System32\VBoxOGLcrutil.dll
    Image name: VBoxOGLcrutil.dll
    Timestamp:        Tue Mar 13 13:54:19 2012 (4F5F437B)
    CheckSum:         000412A1
    ImageSize:        00049000
    File version:     4.1.10.0
    Product version:  4.1.10.0
    File flags:       0 (Mask 3F)
    File OS:          40004 NT Win32
    File type:        3.4 Driver

Changed 2 years ago by Andre.Ziegler

comment:98 Changed 2 years ago by Andre.Ziegler

ignore the last attachment.

Here is the latest dump:

 http://dl.dropbox.com/u/5749744/Dumps/Win8_Build8250_WinSAT_crash_VB_4.1.10.7z

comment:99 Changed 2 years ago by frank

Thanks for testing.

comment:100 Changed 2 years ago by Andre.Ziegler

WinSAT also fails for Win7 guests.

This is the last entry in the log:

1679625 (3448) - winsat\main.cpp:1775: > Run Assessment mfmedia -input C:\Windows\Performance\WinSAT\winsat.wmv -nopmp

When I try to display the winsat.wmv with WMP, the WMP hangs and nothing happens.

comment:101 Changed 2 years ago by misha

Thanks for testing. I will post you a test build with the fix shortly

comment:103 follow-up: ↓ 104 Changed 2 years ago by Andre.Ziegler

it works!

but the WMP issue still occurs and WER creates crash dump, because WMP seems to crash. Shoukd I attach the WMP dumps here or create a new ticket?

Version 0, edited 2 years ago by Andre.Ziegler (next)

comment:104 in reply to: ↑ 103 Changed 2 years ago by misha

Replying to Andre.Ziegler:

but the WMP issue still occurs and WER creates crash dump, because WMP seems to crash. Shoukd I attach the WMP dumps here or create a new ticket?

Please attach it to ticket #10321 which is intended to track the wmp issue. I will really appreciate that.
Thanks a lot for helping us with testing and providing a valuable info!

comment:105 Changed 2 years ago by Andre.Ziegler

ok, I've added the minidump in the other ticket.

comment:106 follow-up: ↓ 107 Changed 2 years ago by ed2010

When executed from the Admin command prompt, Winsat formal completes with errors. This does update the Windows Experience Index in the GUI.

WinSatError_20120314_1115.txt  https://skydrive.live.com/redir.aspx?cid=a2a277a857b771a2&resid=A2A277A857B771A2!165&parid=A2A277A857B771A2!138&authkey=!AHiOjhaoKs-fKc0

When winsat is run from the GUI, the dialog box "Tuning Windows Media Decoding" goes "poof" with no errors or hangups. It just quietly, politely vanishes...

Ran it several times with same result.

comment:107 in reply to: ↑ 106 Changed 2 years ago by misha

Replying to ed2010:

When executed from the Admin command prompt, Winsat formal completes with errors. This does update the Windows Experience Index in the GUI.

WinSatError_20120314_1115.txt  https://skydrive.live.com/redir.aspx?cid=a2a277a857b771a2&resid=A2A277A857B771A2!165&parid=A2A277A857B771A2!138&authkey=!AHiOjhaoKs-fKc0

The errors mentioned here are not critical. What VRAM size did you set to your VM though? Please make sure VRAM is at least 128M.

comment:108 Changed 2 years ago by ed2010

Good news.

I increased the VRAM from 128M to 256M. Winsat ran to completion from the GUI and from the Admin cmd prompt without those buffer errors.

This was using VBoxGuestAdditions_4.1.11-76817.

It did fail right after the first boot. Rebooting once more fixed that.

It seems solid with 32bit and 64bit Win 8 CP after several reboot and test cycles.

Thanks!

comment:109 Changed 23 months ago by Andre.Ziegler

the issue occurs again in the Release Preview of Windows 8:

EXCEPTION_RECORD:  ffffffffffffffff -- (.exr 0xffffffffffffffff)
ExceptionAddress: 0000000002927fd0 (wined3dwddm+0x0000000000037fd0)
   ExceptionCode: c0000005 (Access violation)
  ExceptionFlags: 00000000
NumberParameters: 2
   Parameter[0]: 0000000000000000
   Parameter[1]: 0000000009a46d3c
Attempt to read from address 0000000009a46d3c

DEFAULT_BUCKET_ID:  INVALID_POINTER_READ

PROCESS_NAME:  WinSAT.exe

ERROR_CODE: (NTSTATUS) 0xc0000005 - Die Anweisung in 0x%08lx verweist auf Speicher 0x%08lx. Der Vorgang %s konnte nicht im Speicher durchgef hrt werden.

EXCEPTION_CODE: (NTSTATUS) 0xc0000005 - Die Anweisung in 0x%08lx verweist auf Speicher 0x%08lx. Der Vorgang %s konnte nicht im Speicher durchgef hrt werden.

EXCEPTION_PARAMETER1:  0000000000000000

EXCEPTION_PARAMETER2:  0000000009a46d3c

READ_ADDRESS:  0000000009a46d3c 

FOLLOWUP_IP: 
wined3dwddm+37fd0
00000000`02927fd0 418b02          mov     eax,dword ptr [r10]

Call Site
wined3dwddm
0x0
0x0
0x0
0x0
0x0
0x0
0x0
wined3dwddm
0x0
0x0
0x0
0x0
0x0
d3d9!CVStream::`vftable'
0x0
VBoxD3D9wddm
0x0
0x0
0x0

Dump:

 http://dl.dropbox.com/u/5749744/Dumps/Win8_Build8400_WinSAT_crash_VB_4.1.16.7z

WDDM is completely broken in Windows 8 RP:

https://www.virtualbox.org/ticket/10632

and crashes a lot of other applications (setup of ADK, VS2012, IE, Explorer)

comment:110 Changed 22 months ago by misha

Thanks a lot for the dump! It allowed us to reveal yet another problem, which is fixed now.
I will provide you with a test build shortly.

comment:111 Changed 22 months ago by misha

Please give a try to this test build:  http://www.virtualbox.org/download/testcase/VirtualBox-4.1.51-78668-Win.exe
Note that this is a trunk build, which may not be stable since trunk is under a heavy development now, so use it for testing purposes only[[BR]] To test you will need to update both host installation and guest additions.

comment:112 Changed 22 months ago by frank

Please also install the corresponding  extension pack.

comment:113 Changed 22 months ago by Andre.Ziegler

ok, installed the extension pack and WinSAT works fine with the new version.

comment:114 Changed 6 months ago by misha

  • Status changed from new to closed
  • Resolution set to fixed

Marking fixed.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use